"use client";
import { rangeIncludesDate as s } from "./rangeIncludesDate.js";
import { defaultDateLib as m } from "../classes/DateLib.js";
function p(o, l, f = m) {
  return s(o, l.from, !1, f) || s(o, l.to, !1, f) || s(l, o.from, !1, f) || s(l, o.to, !1, f);
}
export {
  p as rangeOverlaps
};
